Pulse API
  1. Indicators
Pulse API
  • Introduction
    • Introduction
    • Getting Started
    • Basic concepts
  • Services
    • Backoffice
      • Authentication
        • Generate Access Token
        • Generate Refresh Token
      • Authorization
        • Rotate Key (User)
        • Register Application
        • List (Application)
        • Rotate Key (Application)
        • Revoke Key (Application)
        • Activate Key (Application)
      • Usage
        • Check limits
        • Check usage
    • Domains
      • Valuation
        • Valuation
      • Indicators
        • Indicators
          GET
      • Cadastral
        • Cadastral by portal id
        • Cadastral by Reference
      • Comparables
        • Search comparables
      • Mortgage
        • Pre-approval
      • Location
        • Suggest cadastral
  1. Indicators

Indicators

GET
/api/integration/v2/indicators/basic
This endpoint returns a list of indicators with respect to 7 axes:
Boundary_id: Boundary id corresponding to a geographical portion
Period_code: Studied period with format YYYYQQ
Operation: Operation type according to the operation type enum
Category_id: Area category according to the area category enum
Typology_type: Typology type according to the typology type enum
Subtypology_type: Subtypology type according to the subtypology type enum
Construction_type: Construction type code according to the construction type enum

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Query Params

Responses

🟢200OK
application/json
Body

🟠422Unprocessable Content
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.urbandataanalytics.com/api/integration/v2/indicators/basic?lat=40.458202&lon=-3.69779&address=CALLE HUESCA 27, MADRID&resolution=13&geometry=false&period_code=2024Q4&start_date=2024-12-31&end_date=2025-03-31&operation=1&category=0&typology_type=1&subtypology_type=2&property_type=4&construction_type=2&sort_by=period_code&ascending=1&page_num=1&limit=30' \
--header 'Authorization: <api-key>'
Response Response Example
200 - OK
{
    "query_params": {
        "boundary_id": "6580",
        "boundary_type": 13,
        "resolution": 13,
        "operation": "1",
        "start_date": "2024-08-26",
        "end_date": "2024-08-26",
        "category_id": "0",
        "typology_type": "1",
        "subtypology_type": "0",
        "construction_type": "2",
        "project": "boundary_id, boundary_type, boundary_admin, boundary_name, period_code, operation, construction_type, category_id, output_priceunit, output_priceunit_official, output_pricemean, output_units, output_absorption, output_absorption_4q",
        "geometry": false,
        "sort_by": "period_code",
        "ascending": 1,
        "page_size": 30,
        "page_num": 1
    },
    "results": [
        {
            "_id": "6580-2024Q1-1-0-1-0-2",
            "boundary_name": "Tarragona",
            "boundary_type": 13,
            "category_id": 0,
            "construction_type": 2,
            "operation": 1,
            "output_absorption": 39,
            "output_absorption_4q": 32.95,
            "output_pricemean": 172541,
            "output_priceunit": 1502,
            "output_priceunit_official": 1506,
            "output_units": 1062,
            "period_code": "2024Q1",
            "boundary_id": 6580,
            "geometry": "",
            "boundary_admin": "1-10-63-6580"
        }
    ],
    "message": "Indicators data retrieved successfully",
    "pagination": {
        "num_results": 1,
        "page_current": 1,
        "total_count": 1,
        "page_count": 1
    },
    "code": 200,
    "features": [
        "boundary_id",
        "boundary_type",
        "boundary_admin",
        "boundary_name",
        "period_code",
        "operation",
        "construction_type",
        "category_id",
        "output_priceunit",
        "output_priceunit_official",
        "output_pricemean",
        "output_units",
        "output_absorption",
        "output_absorption_4q"
    ]
}
Modified at 2025-11-19 16:58:50
Previous
Valuation
Next
Cadastral by portal id
Built with